<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml"/>
	
	<xsl:template match="/">
		<div>
				<div style="font-size: 300%;">
					<xrl:include>
						<xrl:identifier>xrl:logo</xrl:identifier>
					</xrl:include>
				</div>
				<xsl:apply-templates/>
		</div>
    </xsl:template>
	
	<xsl:template match="changes">
		<xsl:choose>
			<xsl:when test="change">
				<table>
						<tr style="font-weight: bold;">
							<td>Revision</td>
							<td>User</td>
							<td>Date</td>
						</tr>
						<xsl:apply-templates select="change"/>
				</table>
				<form id="diffs">
				<script language="javascript" type="text/javascript">
					function test()
					{ 	parent.location="?v1="+document.getElementById("v1").value+"&amp;v2="+document.getElementById("v2").value	
					}
				</script>
								
				<table>
					<tr>
						<td>Compare Versions:  </td>
						<td>
						<select name="v1" id="v1">
							<xsl:for-each select="/changes/change">
								<option><xsl:value-of select="rev"/></option>
							</xsl:for-each>
								<option>latest</option>
						</select>
						</td>
						<td>
						<select name="v2" id="v2">
							<xsl:for-each select="/changes/change">
								<option><xsl:value-of select="rev"/></option>
							</xsl:for-each>
							<option selected="true">latest</option>
						</select>
						</td>
						<td>
							<input type="button" onclick='test()' value="Compare"/>
						</td>
					</tr>
				</table>
				</form>						
			</xsl:when>
			<xsl:otherwise>
				No Changes
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="change">
		<tr>
			<td><xsl:value-of select="rev"/></td>
			<td><xsl:value-of select="user"/></td>
			<td><xsl:value-of select="date"/></td>
		</tr>
	</xsl:template>

</xsl:stylesheet>
