<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml"/>
	
	<xsl:param name="basepath" nk:class="java.lang.String"/>
	
	<xsl:template match="/">
		<div>
				<xsl:apply-templates/>
		</div>
    </xsl:template>
	
	<xsl:template match="directory">
		<h2>Navigator: <xsl:value-of select="wiki"/></h2>
		<table>
			<xsl:apply-templates select="dir">
				<xsl:with-param name="wiki" select="wiki"/>
				<xsl:sort order="ascending"/>
			</xsl:apply-templates>
			<xsl:apply-templates select="file">
				<xsl:with-param name="wiki" select="wiki"/>
				<xsl:sort order="ascending"/>
			</xsl:apply-templates>
		</table>	
	</xsl:template>
	
	<xsl:template match="dir">
		<xsl:param name="wiki"/>
		<tr>
			<td>
				<img src="/wink/style/folder.png" />
			</td>
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="$basepath"/>wiki/<xsl:value-of select="$wiki"/><xsl:value-of select="."/>/</xsl:attribute>
					<xsl:value-of select="."/>
				</a>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="file">
		<xsl:param name="wiki"/>
		<tr>
			<td/>
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="$basepath"/>wiki/<xsl:value-of select="$wiki"/><xsl:value-of select="."/></xsl:attribute>
					<xsl:value-of select="."/>
				</a>
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>